package com.qxgmat.util.shiro.impl;

import com.nuliji.tools.shiro.inter.HeaderTokenManager;
import com.nuliji.tools.shiro.inter.impl.RealmHeaderToken;
import com.qxgmat.util.shiro.TokenRealm;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class UserTokenManager implements HeaderTokenManager {

    private static final Logger logger = LoggerFactory.getLogger(UserTokenManager.class);

    @Override
    public RealmHeaderToken getToken(String token) {
        return new RealmHeaderToken(token, TokenRealm.class);
    }
}
